Bug 495259 - Cooling fan continually speeds up and slows down on Gateway M-1626 laptop.
Cooling fan continually speeds up and slows down on Gateway M-1626 laptop.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
: 495459 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 16:44 EDT by Robert P. J. Day
Modified: 2010-05-12 05:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 05:47:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2009-04-10 16:44:25 EDT
Once Fedora boots on this laptop, the cooling fan begins to oscillate with about a 4-second period -- speeding up, then slowing down.  I have verified that if I reboot and hop into the BIOS, the fan runs smoothly.  But after I exit the BIOS, boot Fedora and the GNOME desktop starts, the fan begins to oscillate again.  (Occasionally, it will calm down for a while, but it always eventually starts to oscillate again.)

  I'm going to play with some of the settings in /etc/sysconfig/cpuspeed and I'm open to specific suggestions, but I thought I'd get this into bugzilla as a starting point.
Comment 1 Jarod Wilson 2009-04-13 13:01:18 EDT
*** Bug 495459 has been marked as a duplicate of this bug. ***
Comment 2 Jarod Wilson 2009-04-13 13:04:13 EDT
From bug 495459, this is a new system, so its pretty likely not an issue of
dust build-up or anything. Its an AMD laptop, so powernow-k8 is the cpufreq
driver in question here. Have requested dmesg output after booting w/cpufreq.debug=7 to see if it reveals anything interesting.
Comment 3 Robert P. J. Day 2009-04-13 13:16:28 EDT
Here's a sizable excerpt from "dmesg", after booting with cpufreq.debug=7:

__ratelimit: 84 callbacks suppressed
cpufreq-core: target for CPU 0: 2000000 kHz, relation 1
powernow-k8: targ: cpu 0, 2000000 kHz, min 800000, max 2000000, relation 1
powernow-k8: targ: curr fid 0x0, vid 0x1e
freq-table: request for target 2000000 kHz (relation: 1) for cpu 0
freq-table: target is 0 (2000000 kHz, 4876)
powernow-k8: cpu 0 transition to index 0
powernow-k8: table matched fid 0xc, giving vid 0x13
powernow-k8: cpu 0, changing to fid 0xc, vid 0x13
cpufreq-core: notification 0 of frequency transition to 2000000 kHz
cpufreq-core: notification 0 of frequency transition to 2000000 kHz
__ratelimit: 172 callbacks suppressed
cpufreq-core: target for CPU 0: 2000000 kHz, relation 1
powernow-k8: targ: cpu 0, 2000000 kHz, min 800000, max 2000000, relation 1
powernow-k8: targ: curr fid 0x0, vid 0x1e
freq-table: request for target 2000000 kHz (relation: 1) for cpu 0
freq-table: target is 0 (2000000 kHz, 4876)
powernow-k8: cpu 0 transition to index 0
powernow-k8: table matched fid 0xc, giving vid 0x13
powernow-k8: cpu 0, changing to fid 0xc, vid 0x13
cpufreq-core: notification 0 of frequency transition to 2000000 kHz
cpufreq-core: notification 0 of frequency transition to 2000000 kHz
__ratelimit: 92 callbacks suppressed
cpufreq-core: target for CPU 0: 2000000 kHz, relation 1
powernow-k8: targ: cpu 0, 2000000 kHz, min 800000, max 2000000, relation 1
powernow-k8: targ: curr fid 0x0, vid 0x1e
freq-table: request for target 2000000 kHz (relation: 1) for cpu 0
freq-table: target is 0 (2000000 kHz, 4876)
powernow-k8: cpu 0 transition to index 0
powernow-k8: table matched fid 0xc, giving vid 0x13
powernow-k8: cpu 0, changing to fid 0xc, vid 0x13
cpufreq-core: notification 0 of frequency transition to 2000000 kHz
cpufreq-core: notification 0 of frequency transition to 2000000 kHz

  Let me know if there's anything else you want me to try.
Comment 4 Robert P. J. Day 2009-04-22 10:27:29 EDT
As of this morning, with a fully-updated F11 beta system, the cooling fan oscillation problem isn't as bad as it was before, but it still happens.  The fan will operate smoothly for a while, then kick into oscillation mode, then back to smooth, etc.  So I'm still open to suggestions as to what I can test and report on.
Comment 5 Robert P. J. Day 2009-04-25 21:31:00 EDT
For unrelated reasons, I installed the koji kernel 2.6.29.1-106.fc11.x86_64 this morning and, since then, the cooling fan issue seems to have gone away and it's running smoothly (albeit pretty darned warm).  Was there something specific that was fixed recently that dealt with this?  In any event, things are looking good.  If it goes to hell again, I'll let you know.
Comment 6 Bug Zapper 2009-06-09 09:38:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-04-27 09:37:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.